BSON_VECTOR_FLOAT32_VIEW_INIT(3)

Initialize a bson_vector_float32_view_t <> from a mutable uint8_t buffer.

SYNOPSIS

            bool
            bson_vector_float32_view_init (bson_vector_float32_view_t *view_out,
                                           uint8_t *binary_data,
                                           uint32_t binary_data_len);

PARAMETERS

    •   view_out: A bson_vector_float32_view_t <> is written here on success.

    •   binary_data: A pointer to the BSON Binary data block to be validated.

    •   binary_data_len: Length of the binary data block, in bytes.

DESCRIPTION

The length and header of the provided binary data block will be checked for a valid Vector of float32 element type. On success, the pointer and length are packaged as a bson_vector_float32_view_t <> written to *view_out. The view will only be valid as long as binary_data is valid.

RETURNS

Returns true if the view was successfully initialized.

See also:
        bson_vector_float32_const_view_init() <>

Author
MongoDB, Inc

Copyright
2009-present, MongoDB, Inc.